package target

import (
	"git.loafle.net/overflow/overflow_service/proxy/probe"
	"testing"
	"git.loafle.net/overflow/overflow_service/proxy/infra"
	"reflect"
	"encoding/json"
	"io/ioutil"
)

func TestTargetDiscovery(t *testing.T) {

	contents,_ := ioutil.ReadFile("../../dh.json")

	ti := TargetInfo{}

	err := json.Unmarshal(contents, &ti)

	if err != nil{
		t.Fatal(err)
	}

	t.Log(ti)

	ts := NewTargetService()
	ppp := probe.Probe{}
	ppp.Id = "1"
	ti.Probe = &ppp
	out, err := ts.RegistTarget(&ti)

	if err != nil {
		t.Fatal(err)
	}

	t.Log(out)
}

func TestInterface(t *testing.T) {

	aaa := &infra.InfraMachine{}

	var o interface{} = aaa

	tt := reflect.TypeOf(o)
	t.Log(tt.Name())
	t.Log(tt.String())

}
